Subject: Re: [PATCH v3 01/21] diff: move doc to diff.h and diffcore.h

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Nov 2019 16:20:50 +0900

"Heba Waly via GitGitGadget" <[email-masked]> writes:

> From: Heba Waly <[email-masked]>
>
> Move the documentation from Documentation/technical/api-diff.txt to both
> diff.h and diffcore.h as it's easier for the developers to find the usage
> information beside the code instead of looking for it in another doc file.
>
> Also documentation/technical/api-diff.txt is removed because the information
> it has is now redundant and it'll be hard to keep it up to date and
> synchronized with the documentation in the header files.

> @@ -245,6 +370,7 @@ void diff_emit_submodule_error(struct diff_options *o, const char *err);
>  void diff_emit_submodule_pipethrough(struct diff_options *o,
>  				     const char *line, int len);
>  
> +/* Output should be colored. */

I am not sure the comment belongs here.  Especially if this was
lifted from the description for COLOR_DIFF.

Those preprocessor constants have long been migrated to 1-bit
bitfields in the diff_flags structure and the documentation was left
stale---description on COLOR_DIFF and friends this patch removes from
the doc should be reused to explain these fields, I would think.

Thanks.